LFR-FSW - Bug #485

SY_LFR_S2_BP_PO0 = 255(s), SY_LFR_S2_BP_P1 = 255(s) make trouble in SBM2/NORMAL
14/08/2015 11:29 AM - Veronique bouzid

Status: Closed Start date: 14/08/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

parametrage du NORMAL

SY_LFR_N_SWF_L=2048, SY_LFR_N_SWF_P=16(s), SY_LFR_N_ASM_P=4(s), SY_LFR_N_BP_P0=4(s),
SY_LFR_N_BP_P1=20(s)

parametrage du SBM2

SY_LFR_S2_BP_P0=255(s), SY_LFR_S2_BP_P1=255(s)

voici la vérification

16:20:27.810637, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY: DUMP = 6,
(PACKET _ID=0xcc6), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=7,
(PACKET_SEQUENCE_CONTROL=0xc007), PACKET LENGTH=77, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: PARAMETER_DUMP = 32, DESTINATION_ID: GROUND =
0, TIME=0x80000a660882, PA_LFR_HK_SID: LFR_DUMP_SID = 10, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,

SY _LFR_SP1=0, SY_LFR R0=0, SY LFR_R1=0, SY LFR_R2-0, SY_LFR_N_SWF_L=2048, SY LFR_N_SWF_P=16(s),
SY_LFR_N_ASM P=4(s), SY_LFR_N_BP_P0=4(s), SY LFR_N_BP_P1=20(s), SPARE=0x0, SY LFR N CWF _LONG_F3=1,
SPARE=0x0, SY_LFR_B_BP_P0=1(s), SY_LFR_B_BP_P1=5(s), SY_LFR_S1_BP_P0=0.25(s), SY_LFR_S1_BP_P1=1(s),
SY_LFR_S2_BP_P0=255(s), SY_LFR_S2_BP_P1=255(s), SY_LFR_FBINS_F0_WORD1=0xfffffff,
SY_LFR_FBINS_FO_WORD2=0xffffffff, SY_LFR_FBINS_FO_ WORD3=0xfffffff, SY LFR_FBINS_F0_ WORD4=0xfffffff,
SY_LFR_FBINS_F1_WORD1=O0xffffffff, SY_LFR_FBINS_F1_WORD2=0xfffffff, SY LFR_FBINS_F1_WORD3=0xffffffff,
SY_LFR_FBINS_F1_WORD4=O0xffffffff, SY LFR_FBINS_F2_ WORD1=0xffffffff, SY LFR_FBINS_F2 WORD2=0xffffffff,
SY_LFR_FBINS_F2_ WORD3=O0xffffffff, SY LFR_FBINS_F2_ WORD4=0xfffffff, SPARES_2=0x0

Entrée dans le mode sbm2 et on vay resté durant 357s pour voir les bp du sbm2 generes au bout de 255s
16:20:28.001069, TC_LFR_ENTER_MODE (CP_LFR_MODE=4)
16:20:28.027876, TM_LFR_TC_EXE_SUCCESS, TIME=0x80000a66403d

Voici les premiers produits 4s apres le début du mode, on s'attend au NORMAL_BP1_Fi et ASM_Fi
16:20:32.091145, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x80000a66403b
16:20:32.110342, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x80000a66403b
16:20:32.116866, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x80000a66403b
16:20:32.130064, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x80000a66403b
16:20:32.141054, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x80000a66403¢e
16:20:32.143, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x80000a66403e
16:20:32.148293, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x80000a66403e
16:20:32.161155, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x80000a66403e
16:20:32.979002, TM_LFR_HK, TIME=0x80000a6b33ba

16:20:33.979759, TM_LFR_HK, TIME=0x80000a6c33bb

Puis arrivée des CWF_F2

16:20:37.979209, TM_LFR_HK, TIME=0x80000a7033bb

16:20:38.533989, TM_LFR_SCIENCE_SBM2_CWF_F2, TIME=0x80000a664023
16:20:38.541498, TM_LFR_SCIENCE_SBM2_CWF_F2, TIME=0x80000a679023
16:20:38.556965, TM_LFR_SCIENCE_SBM2_CWF_F2, TIME=0x80000a68e023
16:20:38.570723, TM_LFR_SCIENCE_SBM2_CWF_F2, TIME=0x80000a6a3023
16:20:38.576792, TM_LFR_SCIENCE_SBM2_CWF_F2, TIME=0x80000a6b8023
16:20:38.582867, TM_LFR_SCIENCE_SBM2_CWF_F2, TIME=0x80000a6cd023
16:20:38.596624, TM_LFR_SCIENCE_SBM2_CWF_F2, TIME=0x80000a6e2023
16:20:38.603463, TM_LFR_SCIENCE_SBM2_CWF_F2, TIME=0x80000a6{7023

A la fin des 357s voici la liste des produits qui n'ont pas été générés ou pas en totalité:
1- Aucun BP pour Sbm2
[TM_LFR_SCIENCE_SBM2_BP1_F0', ' TM_LFR_SCIENCE_SBM2_BP2_F0',
"TM_LFR_SCIENCE_SBM2_BP1_F1',"'TM_LFR_SCIENCE_SBM2_BP2_F1',

2- Aucun ASM a F2 ni BP1 a F2 ni BP2 (FO,F1,F2)
'TM_LFR_SCIENCE_NORMAL_BP1_F2',
'TM_LFR_SCIENCE_NORMAL_BP2_F0','TM_LFR_SCIENCE_NORMAL_BP2_F1',"'TM_LFR_SCIENCE_NORMAL BP2_F2'
'TM_LFR_SCIENCE_NORMAL_ASM_F2',

3-1 seul TM_LFR_SCIENCE_NORMAL_BP1_F0, TM_LFR_SCIENCE_NORMAL_BP1_F1, et 1 serie de 3
TM_LFR_SCIENCE_NORMAL_ASM_FO0 et 3 TM_LFR_SCIENCE_NORMAL_ASM_F1

le script utilisé est /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0032/sbm2_mode_parameter_set.py,
les fichiers de log (2015_08_11-16_48_24-*) se trouvent dans /home/validation/data/R3/3.0.0.8/1.1.88/SVS-0032.

Contexte du test

FSW 3.0.0.8

VHDL 1.1.88

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

History

#1 - 14/08/2015 11:31 AM - Veronique bouzid

- Subject changed from SY_LFR _S2 BP FO0 =255(s), SY_LFR _S1_BP_F1 = 255(s) make trouble in SBM2/NORMAL to SY LFR_S2 BP PO =
255(s), SY_ LFR_S1_BP_P1 = 255(s) make trouble in SBM2/NORMAL

#2 - 14/08/2015 11:40 AM - Veronique bouzid

- Description updated

#3 - 14/08/2015 12:08 PM - Veronique bouzid
- File 2015_08 13 09 08 19 packet log.data added

Pour cerner le probleme, j ai fait le test suivant dans socexplorer (utilisation de dashboard)

1- je n ai pas changé les parametres du mode normal

2-j ai choisi
SY_LFR_S2_BP_PO0 = 255(s), SY_LFR_S2_BP_P1 = 255(s)

3- j ai cliqué sur LOAD_SBM2 apres avoir selection log
4- La TC est acceptée et donc je clique sur SBM2 (activation du mode)
J attends 7mn.

Les logs montrent

1- Aucun BP en SBM2

2- en Normal,

- une seule serie de 1 TM_LFR_SCIENCE_NORMAL_BP1_F0,TM_LFR_SCIENCE_NORMAL_BP1_F1,TM_LFR_SCIENCE_NORMAL_BP1_F2 au
bout de 4s

-aucun TM_LFR_SCIENCE_NORMAL_BP2_Fi

On observe bien les CWF_F2, CWF_F3 et SWF_Fi mais pas ASM car t=3600s. Conclusion le fait de mettre des ASM = 4s comme sur le test
précédent n'est pas une piste....

#4 - 14/08/2015 12:10 PM - Veronique bouzid

- Subject changed from SY_LFR_S2 BP_P0 = 255(s), SY_LFR_S1_BP_P1 = 255(s) make trouble in SBM2/NORMAL to SY_LFR_S2 _BP_PO0 =
255(s), SY_LFR _S2 BP_P1 = 255(s) make trouble in SBM2/NORMAL

#5 - 28/09/2015 04:11 PM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid
Bug identifié et corrigé dans fsw 3.0.0.9.

#6 - 05/11/2015 10:31 AM - Veronique bouzid
- Status changed from Feedback to Closed

Bug corrigé en 3.0.0.10.

Les fichiers de tests (2015_10_08-13_49 55%) se trouvent dans /home/validation/data/R3/3.0.0.10/1.1.89/SVS-0032.

Tous les produits SBM2 et NORMAL mode sont correctement générés en fonction des parametres de configuration demandés.

Seuls les snapshots a 16s ne donnent pas le bon resultat. Un point redmine est deja ouvert #548.

Contexte du test

Fsw :3.0.0.10

VHDL: 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Files

2015_08_13_09_08_19_packet_log.data 48.9 KB 14/08/2015
https://hephaistos.lpp.polytechnique.fr/redmine/issues/548
http://www.tcpdf.org

